Skip to content

Start an upload

POST
/cms/print/v2/subpages/{id}/uploads
curl --request POST \
--url https://api.example.com/cms/print/v2/subpages/1/uploads \
--header 'API-Key: <API-Key>' \
--header 'Content-Type: application/json' \
--header 'Token-User: <Token-User>' \
--data '{ "filename": "example", "length": 1, "sha256": "example" }'

Then send the bytes with PATCH /cms/print/v2/uploads/{uploadId}. With sha256, the finished file is checked against it. Unused uploads are deleted after a day.

id
required
integer
Media typeapplication/json
object
filename
required
string
length
required
integer
sha256
string

Example generated

{
"filename": "example",
"length": 1,
"sha256": "example"
}

Upload created